commit: 1414edd35cc4a15e8db0612267f5fbc3b9a810f2
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Nov 6 21:11:43 2020 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Nov 6 21:17:53 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1414edd3
sci-libs/superlu: bump to 5.2.2
Package-Manager: Portage-3.0.8, Repoman-3.0.2
Signed-off-by: Sam James <sam <AT> gentoo.org>
sci-libs/superlu/Manifest | 1 +
.../files/superlu-5.2.2-no-internal-blas.patch | 19 ++++++++
sci-libs/superlu/superlu-5.2.2.ebuild | 53 ++++++++++++++++++++++
3 files changed, 73 insertions(+)
diff --git a/sci-libs/superlu/Manifest b/sci-libs/superlu/Manifest
index 13ca2c7061f..531452d54e5 100644
--- a/sci-libs/superlu/Manifest
+++ b/sci-libs/superlu/Manifest
@@ -1,2 +1,3 @@
DIST superlu_4.3.tar.gz 2876631 BLAKE2B
0a563e6730394f8e69fe13f1418f9f046bd37c848c51063e93a24a209e50a67f91b725eb3978fd6c4d28e51615806d6c0b6a2539cbc0d7fd11b5e4f0a9360148
SHA512
5c13da47b79160be14719f62ccdf5d59142a172e25a988fa340eaeb001a64d7f45ba39e675cb7aa3571bec52cb3a7cda0bb7a708c9608184ba6251edb7990e8c
DIST superlu_5.2.1.tar.gz 2560875 BLAKE2B
b1dd51bddb55061f5756f3cf766f80e506f7cc12b272c2ceebbae71cab9314000308b72cf265d5948ed69c68d0ad0adeb938a4471250147b0fcfdc2b80298db7
SHA512
30538b4c2809294b8f34646bce6445944f21a1dffaf3ec0a0f29a55d5261caa56e4279d7722bb95cc9d89450d36ded969617edc82ecce7d0f1dfb24040d80d07
+DIST superlu_5.2.2.tar.gz 2481538 BLAKE2B
db9d6437c8012f1aeeb3313212298a77e4ef04405c6ec853ceeef8b80426ea80d8b9fc30a0ca2dd7288131a0e21c43e17cafafaa7fb615d6d825b54f4beb84a2
SHA512
091928a3df3433b337ebdacdb28de341d6d29d655965de6ffd656a6de18cf11171555bfd3af73082af62b1cead6835b4c11e4ba524a32db7f7d28db47c9d490c
diff --git a/sci-libs/superlu/files/superlu-5.2.2-no-internal-blas.patch
b/sci-libs/superlu/files/superlu-5.2.2-no-internal-blas.patch
new file mode 100644
index 00000000000..e48a7c86fa3
--- /dev/null
+++ b/sci-libs/superlu/files/superlu-5.2.2-no-internal-blas.patch
@@ -0,0 +1,19 @@
+diff --git a/CMakeLists.txt b/CMakeLists.txt
+index 08027ce..8884585 100644
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -121,13 +121,7 @@ if(BLAS_FOUND)
+ set(BLAS_LIB_EXPORT ${BLAS_LIB_STR})
+ else()
+ message("-- Did not find or specify BLAS so configure to build internal
CBLAS ...")
+- add_subdirectory(CBLAS)
+- set(BLAS_LIB blas)
+- if (BUILD_SHARED_LIBS) # export to be referenced by downstream makefile
+- set(BLAS_LIB_EXPORT ${CMAKE_INSTALL_PREFIX}/CBLAS/libblas.so)
+- else()
+- set(BLAS_LIB_EXPORT ${CMAKE_INSTALL_PREFIX}/CBLAS/libblas.a)
+- endif()
++ message( FATAL_ERROR "Could not find BLAS, refusing to use internal copy" )
+ endif()
+
+ ######################################################################
diff --git a/sci-libs/superlu/superlu-5.2.2.ebuild
b/sci-libs/superlu/superlu-5.2.2.ebuild
new file mode 100644
index 00000000000..723d6ba29bb
--- /dev/null
+++ b/sci-libs/superlu/superlu-5.2.2.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+FORTRAN_STANDARD=77
+
+inherit cmake fortran-2
+
+DESCRIPTION="Sparse LU factorization library"
+HOMEPAGE="https://crd-legacy.lbl.gov/~xiaoye/SuperLU/"
+SRC_URI="https://crd-legacy.lbl.gov/~xiaoye/SuperLU//${PN}_${PV}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0/$(ver_cut 1)"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86
~amd64-linux ~x86-linux"
+IUSE="doc examples test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="virtual/pkgconfig
+ test? ( app-shells/tcsh )"
+RDEPEND="virtual/blas"
+DEPEND="${RDEPEND}"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-5.2.2-no-internal-blas.patch"
+)
+
+src_prepare() {
+ cmake_src_prepare
+ # respect user's CFLAGS
+ sed -i -e 's/O3//' CMakeLists.txt || die
+}
+
+src_configure() {
+ local mycmakeargs+=(
+ -DCMAKE_INSTALL_INCLUDEDIR="include/superlu"
+ -DBUILD_SHARED_LIBS=ON
+ -Denable_internal_blaslib=OFF
+ -Denable_tests=$(usex test)
+ )
+ cmake_src_configure
+}
+
+src_install() {
+ cmake_src_install
+ use doc && dodoc -r DOC/html
+ if use examples; then
+ docinto examples
+ dodoc -r EXAMPLE FORTRAN
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+}